<project xmlns="http://maven.apache.org/POM/4.0.0"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd ">
	
	<modelVersion>4.0.0</modelVersion>
	<groupId>br.com.rjconsultores</groupId>
	<artifactId>ventaboletosadm</artifactId>
	<version>1.131.8</version>
	<packaging>war</packaging> 
    
	<properties>
		<modelWeb.version>1.102.1</modelWeb.version>
		<flyway.version>1.89.0</flyway.version>
    	<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
	</properties>

	<distributionManagement>
        <repository>
            <id>rj-releases</id>
            <url>http://52.5.53.15:8081/nexus/content/repositories/releases/</url>
        </repository>
    </distributionManagement>

	<build>
		<finalName>${project.artifactId}</finalName>
		<sourceDirectory>src/java</sourceDirectory>
		<resources>
			<resource>
				<directory>src/java</directory>
				<excludes>
					<exclude>**/*.java</exclude>
				</excludes>
			</resource>
		</resources>
		<testSourceDirectory>tests</testSourceDirectory>
		<testResources>
			<testResource>
				<directory>tests</directory>
				<excludes>
					<exclude>**/*.java</exclude>
				</excludes>
			</testResource>
		</testResources>
		<plugins>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.8.1</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
			<plugin>
				<artifactId>maven-war-plugin</artifactId>
				<version>3.3.1</version>
				<configuration>
					<warSourceDirectory>web</warSourceDirectory>
					<outputFileNameMapping>@{artifactId}@.@{extension}@</outputFileNameMapping>
				</configuration>
			</plugin>
			<plugin>
                <groupId>org.wildfly.plugins</groupId>
                <artifactId>wildfly-maven-plugin</artifactId>
                <version>3.0.0.Final</version>
            </plugin>

		</plugins>
	</build>

	<dependencies>
		<dependency>
			<groupId>br.com.rjconsultores</groupId>
			<artifactId>ModelWeb</artifactId>
			<version>${modelWeb.version}</version>
		</dependency>
		
		<dependency>
			<groupId>br.com.rjconsultores</groupId>
			<artifactId>Flyway</artifactId>
			<version>${flyway.version}</version>	
		</dependency>
		
		<dependency>
			<groupId>br.com.rjconsultores</groupId>
			<artifactId>IntegracaoReceitaDespesa</artifactId>
			<version>1.6.1</version>
		</dependency>
		
		<dependency>
			<groupId>br.com.rjconsultores</groupId>
			<artifactId>WSTotvs</artifactId>
			<version>1.3.0</version>
			<exclusions>
				<exclusion>
					<groupId>org.slf4j</groupId>
					<artifactId>slf4j-api</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		
		<dependency>
			<groupId>br.com.rjconsultores</groupId>
			<artifactId>WSAG</artifactId>
			<version>1.3.0</version>
			<exclusions>
				<exclusion>
					<groupId>br.com.rjconsultores</groupId>
					<artifactId>ojdbc14</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.slf4j</groupId>
					<artifactId>slf4j-api</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.slf4j</groupId>
					<artifactId>slf4j-reload4j</artifactId>
				</exclusion>
			</exclusions>
		</dependency> 
		
		<dependency>
			<groupId>br.com.rjconsultores</groupId>
			<artifactId>Auditador</artifactId>
			<version>1.2.0</version>			
		</dependency>
		
		<dependency>
			<groupId>br.com.rjconsultores</groupId>
			<artifactId>GeneradorBoletosCNAB</artifactId>
			<version>1.8.1</version>
		</dependency> 
		
		<dependency>
			<groupId>br.com.rjconsultores</groupId>
			<artifactId>silvergray</artifactId>
			<version>1.0.0</version>
		</dependency>
		 
		<dependency>
		    <groupId>org.apache.httpcomponents</groupId>
		    <artifactId>httpcore</artifactId>
		    <version>4.4.14</version>
		</dependency>
		
		<dependency>
		    <groupId>org.apache.httpcomponents</groupId>
		    <artifactId>httpclient</artifactId>
		    <version>4.5.13</version>
		</dependency>

		<dependency>
			<groupId>org.jboss.resteasy</groupId>
			<artifactId>resteasy-jaxrs</artifactId>
			<version>3.14.0.Final</version>
			<scope>provided</scope>
		</dependency>

		<dependency>
		    <groupId>javax.servlet</groupId>
		    <artifactId>javax.servlet-api</artifactId>
		    <version>4.0.0</version>
		    <scope>provided</scope>
		</dependency>

		<dependency>
			<groupId>commons-beanutils</groupId>
			<artifactId>commons-beanutils</artifactId>
			<version>1.9.4</version>
		</dependency>
		
		<dependency>
			<groupId>commons-codec</groupId>
			<artifactId>commons-codec</artifactId>
			<version>1.10</version>
		</dependency>
		
		<dependency>
			<groupId>org.zkoss.common</groupId>
			<artifactId>zcommon</artifactId>
			<version>5.0.9</version>
		</dependency>
		
		<dependency>
			<groupId>org.zkoss.zk</groupId>
			<artifactId>zhtml</artifactId>
			<version>5.0.9</version>
		</dependency>
		
		<dependency>
			<groupId>org.zkoss.zk</groupId>
			<artifactId>zk</artifactId>
			<version>5.0.9</version>
		</dependency>
		<dependency>
			<groupId>org.zkoss.zk</groupId>
			<artifactId>zkplus</artifactId>
			<version>5.0.9</version>
		</dependency>
		<dependency>
			<groupId>org.zkoss.zk</groupId>
			<artifactId>zul</artifactId>
			<version>5.0.9</version>
		</dependency>
		<dependency>
			<groupId>org.zkoss.zkforge</groupId>
			<artifactId>ckez</artifactId>
			<version>3.6.0.0</version>
		</dependency>
		<dependency>
			<groupId>org.zkoss.zkforge</groupId>
			<artifactId>fckez</artifactId>
			<version>2.6.1_1</version>
		</dependency>
		<dependency>
			<groupId>org.zkoss.zk</groupId>
			<artifactId>zkspring-security</artifactId>
			<version>3.0RC</version>
		</dependency>
		
		<dependency>
			<groupId>commons-collections</groupId>
			<artifactId>commons-collections</artifactId>
			<version>3.2.1</version>
		</dependency>
		<dependency>
			<groupId>org.codehaus.jackson</groupId>
			<artifactId>jackson-core-asl</artifactId>
			<version>1.9.9</version>
		</dependency>
		
		<dependency>
			<groupId>com.trg</groupId>
			<artifactId>trg-search</artifactId>
			<version>0.4.3</version>
		</dependency>
		<dependency>
			<groupId>opensymphony</groupId>
			<artifactId>quartz-all</artifactId>
			<version>1.6.5</version>
		</dependency>
		
		<dependency>
			<groupId>org.apache.xmlbeans</groupId>
			<artifactId>xmlbeans</artifactId>
			<version>2.3.0-1</version>
		</dependency>
		<dependency>
			<groupId>net.sf.saxon</groupId>
			<artifactId>saxon</artifactId>
			<version>8.7</version>
		</dependency>
		<dependency>
			<groupId>net.sf.saxon</groupId>
			<artifactId>saxon-dom</artifactId>
			<version>8.7</version>
		</dependency>
		
		<dependency>
			<groupId>com.nimbusds</groupId>
			<artifactId>nimbus-jose-jwt</artifactId>
			<classifier>jdk16</classifier>
			<version>4.11.2</version>
		</dependency>
		
		<dependency>
			<groupId>org.xhtmlrenderer</groupId>
			<artifactId>flying-saucer-pdf-itext5</artifactId>
			<version>9.1.6</version>
		</dependency>
		
		<dependency>
		    <groupId>net.sf.jasperreports</groupId>
		    <artifactId>jasperreports</artifactId>
		    <version>6.0.0</version>
		</dependency>
		
		<dependency>
		    <groupId>com.lowagie</groupId>
		    <artifactId>itext</artifactId>
		    <version>2.1.7</version>
		</dependency>

		<dependency>
		    <groupId>net.sourceforge.jexcelapi</groupId>
		    <artifactId>jxl</artifactId>
		    <version>2.6.12</version>
		    <exclusions>
		    	<exclusion>
					<groupId>log4j</groupId>
            		<artifactId>log4j</artifactId>
				</exclusion>
		    </exclusions>
		</dependency>
		
		<dependency>
			<groupId>br.com.rjconsultores</groupId>
			<artifactId>colorbox</artifactId>
			<version>1.0.0</version>
		</dependency>
 		
	</dependencies>	
</project>
